package com.psg.dlsysinfo.dl_sysinfo_server.auth;

import org.springframework.security.core.Authentication;

public class AuthenticatedData {
    private final Long groupId;
    private final Authentication authentication;

    // Constructor
    public AuthenticatedData(Long groupId, Authentication authentication) {
        this.groupId = groupId;
        this.authentication = authentication;
    }

    public Long getGroupId() {
        return groupId;
    }

    public Authentication getAuthentication() {
        return authentication;
    }
}
